Bots - Set Connector Consent Bypass

Set Connector Consent Bypass.
Set the admin connector consent bypass setting for a bot.

PUT https://api.powerplatform.com/copilotstudio/environments/{EnvironmentId}/bots/{BotId}/api/connectorConsentBypass?api-version=2024-10-01

URI Parameters

Name In Required Type Description
BotId
path True

string

The bot ID.

EnvironmentId
path True

string

The environment ID.

api-version
query True

string

The API version.

Request Body

Name Required Type Description
adminConsentBypass True

boolean

Indicates whether to enable admin connector consent bypass for the bot.

Responses

Name Type Description
200 OK

ConnectorConsentBypassResponse

Successful response

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
ConnectorConsentBypassResponse

The admin connector consent bypass setting for a bot.

SetAdminConsentBypassRequest

Request body for setting the admin connector consent bypass setting for a bot.

ConnectorConsentBypassResponse

The admin connector consent bypass setting for a bot.

Name Type Description
adminConsentBypass

boolean

Indicates whether admin connector consent bypass is enabled for the bot.

SetAdminConsentBypassRequest

Request body for setting the admin connector consent bypass setting for a bot.

Name Type Description
adminConsentBypass

boolean

Indicates whether to enable admin connector consent bypass for the bot.